curl --request GET \
--url https://api.anchorage-staging.com/v2/trusted_destinations \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/trusted_destinations"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/trusted_destinations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"type": "<string>",
"crypto": {
"address": "2N19AcihQ1a4MxQW658UFHTioUNnMkiHPkw",
"assetType": "BTC",
"isNetworkLevel": true,
"networkId": "BTC",
"memo": "<string>"
},
"description": "<string>",
"fiat": {
"kind": "WIRE",
"achPullAuthorization": {
"companyIds": [
"<string>"
],
"perTransactionLimit": "2500.00"
},
"achPush": {
"accountNumber": "<string>",
"routingNumber": "<string>"
},
"beneficiary": {
"account": "*****1234",
"address": "123 Main Street",
"city": "Beverly Hills",
"country": "US",
"name": "Satoshi Nakamoto",
"state": "CA",
"type": "INDIVIDUAL",
"zipCode": "90210"
},
"beneficiaryBank": {
"address": "240 Greenwich Street",
"city": "New York",
"code": "BIC",
"country": "US",
"id": "IRVTUS3N",
"name": "The Bank of New York Mellon",
"state": "NY",
"zipCode": "10286"
},
"intermediaryBank": {
"address": "240 Greenwich Street",
"city": "New York",
"code": "BIC",
"country": "US",
"id": "IRVTUS3N",
"name": "The Bank of New York Mellon",
"state": "NY",
"zipCode": "10286"
},
"memo": "Quarterly dividend",
"usage": "MY_ORGANIZATION"
},
"name": "<string>",
"owner": {
"id": "<string>",
"type": "CUSTOMER"
}
}
],
"page": {
"next": "<next page url>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}List trusted destinations
Permissions required: Read vault activity
List trusted destinations
curl --request GET \
--url https://api.anchorage-staging.com/v2/trusted_destinations \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v2/trusted_destinations"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v2/trusted_destinations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"type": "<string>",
"crypto": {
"address": "2N19AcihQ1a4MxQW658UFHTioUNnMkiHPkw",
"assetType": "BTC",
"isNetworkLevel": true,
"networkId": "BTC",
"memo": "<string>"
},
"description": "<string>",
"fiat": {
"kind": "WIRE",
"achPullAuthorization": {
"companyIds": [
"<string>"
],
"perTransactionLimit": "2500.00"
},
"achPush": {
"accountNumber": "<string>",
"routingNumber": "<string>"
},
"beneficiary": {
"account": "*****1234",
"address": "123 Main Street",
"city": "Beverly Hills",
"country": "US",
"name": "Satoshi Nakamoto",
"state": "CA",
"type": "INDIVIDUAL",
"zipCode": "90210"
},
"beneficiaryBank": {
"address": "240 Greenwich Street",
"city": "New York",
"code": "BIC",
"country": "US",
"id": "IRVTUS3N",
"name": "The Bank of New York Mellon",
"state": "NY",
"zipCode": "10286"
},
"intermediaryBank": {
"address": "240 Greenwich Street",
"city": "New York",
"code": "BIC",
"country": "US",
"id": "IRVTUS3N",
"name": "The Bank of New York Mellon",
"state": "NY",
"zipCode": "10286"
},
"memo": "Quarterly dividend",
"usage": "MY_ORGANIZATION"
},
"name": "<string>",
"owner": {
"id": "<string>",
"type": "CUSTOMER"
}
}
],
"page": {
"next": "<next page url>"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Query Parameters
When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)
1Maximum number of results to return per query
1 <= x <= 100The type of the owner (currently only CUSTOMER is supported)
CUSTOMER The ID of the owner (for CUSTOMER type, this is the customerId)
1Asset type identifier. This will return Trusted Destinations with a matching assetTypeId, as well as Trusted Destinations with a matching networkId if network level is true.
1Restrict the result to fiat trusted destinations of these kinds. When omitted, every trusted destination is returned. When set, only fiat trusted destinations whose kind is listed are returned; crypto trusted destinations are excluded.
Sub-type of the fiat trusted destination.
WIRE- a Fedwire destination.INSTANT_TRANSFER- an instant-transfer destination (beneficiary only, no bank).ACH_PULL_AUTHORIZATION- a grant to an originator, identified by ACH Company IDs, to pull funds up to a per-transaction limit; it is not a destination.ACH_PUSH- an ACH credit destination.
WIRE, INSTANT_TRANSFER, ACH_PULL_AUTHORIZATION, ACH_PUSH Was this page helpful?